Bug 270379 - A11y bugs in "Run" window (Docker node in Services tab)
A11y bugs in "Run" window (Docker node in Services tab)
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
8.2
PC Solaris
: P2 (vote)
: 8.2
Assigned To: ilia
issues@cnd
82patch2-verified
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-12 12:34 UTC by soldatov
Modified: 2017-06-05 12:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2017-04-12 12:34:42 UTC
Scenario:
- Open Services tab
- Find Docker node
- Find Images subnode
- Select any image and call context menu item
- Select "Run..."
==> In "Run" window I see:
Alt+u doesn't work
Alt+a - mnemonic conflict ("Mount volumes" checkbox activates "Add" button)

Scenario:
Results of Accessibility test for WCAG 2.0-1.3.1 (LABEL_FOR)
TEST FAILED

Labels with LABEL_FOR not set:
   Class: JLabel {  User: | User: }

Components with no LABEL_FOR pointing to it:
   Class: JTextField {  <!-- no name--> |  <!-- no description --> }

Results of Accessibility test for WCAG 2.0-2.1.1 (Mnemonic conflicts, wrong mnemonics or no mnemonic)
TEST FAILED

The following mnemonics conflicts were found:
   Class: JCheckBox {  Allocate a pseudo TTY | Allocate a pseudo TTY }
      The following mnemonic is already used - 'A' (65)
   Class: JButton {  Add | Add }
      The following mnemonic is already used - 'A' (65)
Comment 1 Alexander Pepin 2017-05-03 15:17:30 UTC
Nominated to patch as A11y issue.
Comment 2 soldatov 2017-06-05 12:57:17 UTC
Verified in NetBeans 8.2 patch 2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo